function JumpSearchLayers(cityid)
{
	document.all.bodyly.style.display="block";
	document.all.bodyly.style.width=document.body.clientWidth;
	
	if (document.body.scrollHeight>document.body.clientHeight)
	{document.all.bodyly.style.height=document.body.scrollHeight;}
	else
	{document.all.bodyly.style.height=document.body.clientHeight;}
	
	document.getElementById("SearchDivhire").style.display='block';
	document.all.SearchDivhire.style.top=document.documentElement.scrollTop+360;  
	document.all.SearchDivhire.style.left=document.body.clientWidth/2-200;
	if (cityid==1)
	{
		document.getElementById("txtbtn").innerHTML='<input type="button" name="Submit2" value="确定选择" onclick="document.form1.zone1.value=document.form2.province.options[document.form2.province.selectedIndex].text+document.form2.capital.options[document.form2.capital.selectedIndex].text+document.form2.city.options[document.form2.city.selectedIndex].text;unSearchLayers();" />';	
	}
	else
	{
		document.getElementById("txtbtn").innerHTML='<input type="button" name="Submit2" value="确定选择" onclick="document.form1.zone2.value=document.form2.province.options[document.form2.province.selectedIndex].text+document.form2.capital.options[document.form2.capital.selectedIndex].text+document.form2.city.options[document.form2.city.selectedIndex].text;unSearchLayers();" />';	
	}
}

function unSearchLayers(txtname)
{
	var objllist=document.getElementsByTagName('select');
	for(var i=0;i<objllist.length;i++)
	{
		objllist[i].style.visibility="";
	} 
	document.getElementById("SearchDivhire").style.display  = "none";
	document.all.bodyly.style.display="none";
}

function changeProvince(selvalue)
{
document.form2.capital.length=0; 
document.form2.city.length=0;
var selvalue=selvalue;	  
var j,d,mm;
d=0;
for(j=0;j<provincearray.length;j++) 
	{
		if(provincearray[j][1]==selvalue) 
		{
			if (d==0)
			{
			mm=provincearray[j][2];
			}
		var newOption2=new Option(provincearray[j][0],provincearray[j][2]);
		document.all.capital.add(newOption2);
		d=d+1;	
		}		
		if(provincearray[j][1]==mm) 
		{		
			var newOption3=new Option(provincearray[j][0],provincearray[j][2]);
			document.all.city.add(newOption3);
		}			
	}
}
function changeCity(selvalue)  
{ 

	alert(selvalue);
	document.all("city").length=0;  
	var selvalue=selvalue;
	var j;
	
	for(j=0;j<provincearray.length;j++) 
	{
		
		if(provincearray[j][1]==selvalue) 
		{
			var newOption4=new Option(provincearray[j][0],provincearray[j][2]);
			document.all("city").add(newOption4);
		}
	}
}
function selectprovince() 
{ 
	var j;
	for(j=0;j<provincearray.length;j++) 
	{
		if(provincearray[j][1]==0) 
		{
			var newOption4=new Option(provincearray[j][0],provincearray[j][2]);
			document.all.province.add(newOption4);
		}
	}
}

<!--实现层移动-->
var mmm='';
document.onmouseup=MUp;
document.onmousemove=MMove;

function MDown(Object){
mmm=Object.id;
document.all(mmm).setCapture();
pX=event.x-document.all(mmm).style.pixelLeft;
pY=event.y-document.all(mmm).style.pixelTop;
}

function MMove(){
if(mmm!=''){
document.all(mmm).style.left=event.x-pX;
document.all(mmm).style.top=event.y-pY;
}
}

function MUp(){
if(mmm!=''){
document.all(mmm).releaseCapture();
mmm='';
}
}